package com.chelvc.framework.base.exception;

import java.util.Map;

import com.google.common.collect.ImmutableMap;
import lombok.NonNull;
import org.springframework.http.HttpStatus;

/**
 * 参数无效异常
 *
 * @author Woody
 * @date 2023/1/1
 */
public class ParameterInvalidException extends FrameworkException {
    public ParameterInvalidException(@NonNull Map<String, String> errors) {
        this(errors, null);
    }

    public ParameterInvalidException(@NonNull Map<String, String> errors, Throwable cause) {
        super(HttpStatus.PRECONDITION_FAILED, String.valueOf(errors), errors, cause);
    }

    public ParameterInvalidException(@NonNull String parameter, @NonNull String message) {
        this(parameter, message, null);
    }

    public ParameterInvalidException(@NonNull String parameter, @NonNull String message, Throwable cause) {
        super(HttpStatus.PRECONDITION_FAILED, String.format("Invalid parameter '%s': %s", parameter, message),
                ImmutableMap.of(parameter, message), cause);
    }
}
