package com.chelvc.framework.base.exception;

import org.springframework.http.HttpStatus;

/**
 * 资源为定义异常
 *
 * @author Woody
 * @date 2023/1/1
 */
public class ResourceUndefinedException extends FrameworkException {
    public ResourceUndefinedException() {
        this("Resource undefined");
    }

    public ResourceUndefinedException(String message) {
        this(message, null, null);
    }

    public ResourceUndefinedException(String message, String business) {
        this(message, business, null);
    }

    public ResourceUndefinedException(String message, Throwable cause) {
        this(message, null, cause);
    }

    public ResourceUndefinedException(String message, String business, Throwable cause) {
        super(HttpStatus.NOT_FOUND, message, business, cause);
    }
}
