package com.chelvc.framework.common.model;

import java.io.Serializable;

/**
 * 枚举对象接口
 *
 * @author Woody
 * @date 2023/1/1
 */
public interface Enumeration extends Serializable {
    /**
     * 获取枚举项名称
     *
     * @return 枚举项名称
     */
    default String name() {
        return null;
    }

    /**
     * 获取枚举项顺序
     *
     * @return 枚举项顺序
     */
    default int ordinal() {
        return 0;
    }

    /**
     * 获取排序数字
     *
     * @return 排序数字
     */
    default int getOrder() {
        return this.ordinal();
    }

    /**
     * 获取枚举编号
     *
     * @return 枚举编号
     */
    default String getCode() {
        return this.name();
    }

    /**
     * 获取枚举描述
     *
     * @return 枚举描述
     */
    default String getDescription() {
        return null;
    }
}
